%define	name	artsmodplug
%define	version	2.1.1
%define release	13mdk

Name:		%{name}
Summary:	Arts ModPlug
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://noatun.kde.org/plugins/arts_modplug/
Group:		Graphical desktop/KDE
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-old-automake-fix.patch.bz2
Patch1:		artsmodplug-2.1.1-system-modplug.patch.bz2
BuildRequires:	libkdemultimedia-noatun-devel itclib-devel >= 1.1.1 autoconf2.5
BuildRequires:  libmodplug-devel
Requires:	itclib
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A playobject for Amiga Tracker files for use with aRts.  Also a plugin
for the KDE Media Player, Noatun is contained, which provides information
on the samples, instruments, and the title.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
make -f Makefile.cvs
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-final \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_libdir}/kde3/*
%{_libdir}/mcop/*
%{_libdir}/libartsmodplug.so
%{_libdir}/libartsmodplug.la
%{_datadir}/apps/noatun/*
%{_includedir}/noatun/*

%changelog
* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.1.1-13mdk
- rebuild

* Thu Nov 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-12mdk
- fix buildrequires

* Wed Jul 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-11mdk
- rebuild

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-10mdk
- fix path to qt3 (lib64 issues..)
- pass compile flags to configure in stead of make

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-9mdk
- fix buildrequires (but libarts-devel should be fixed instead)

* Fri Mar 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-8mdk
- add another buildrequirement

* Tue Mar 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-7mdk
- guess what! even MORE buildrequires added, betcha did'nt expect that one;)

* Mon Mar 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-6mdk
- add some more buildrequires

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-5mdk
- from Gtz Waschk <waschk@linux-mandrake.com>
	- patch to use system libmodplug (Patch1)

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-4mdk
- added autoconf2.5 to BuildRequires

* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1.1-3mdk
- don't rm -rf buildroot in prep stage
- .spec cleanup
- added zlib-devel to BuildRequires
- build with older automake(Patch0)
- use optimize flags
- configure with libdir to make rpmlint happy

* Tue Oct 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-2mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Stupid me, forgot to set defalut attributes and a whole lot of other stuff
	- Added docs
	- Added arts-devel to BuildRequires
	- Cleanup

* Mon Oct 28 2002 Per yvind Karlsen <peroyvind@delonic.no> 2.1.1-1mdk
- Initial release
